# This is the smartbeatclientd configuration file.

# The strategy used for options in the default smartbeatclient.conf shipped with
# smartbeatserverd is to specify options with their default value where
# possible, but leave them commented.  Uncommented options change a
# default value.

# Current version of Smartbeat
SBEAT_VERSION ${SMARTBEATVERSION}

# the id for authetification on the server
; ID 1

# password for authetification on the server
; PASSWORD smartbeatpass

# the logdir.
; LOGDIR /var/log/

# when you want to log the unencrypted sent messages set this to yes
# for debug purposes
; LOG_MESSAGES no

# time before client connection times out (when client not answers)
; TIMEOUT 10

# answer of the servers ping request default is hartbeat
; PINGANSWER hartbeat

# path to gpg command default is /usr/bin/gpg
; GPG /usr/bin/gpg

# used gpg home directory for encrypting default value /var/lib/smartbeat/.gnupg
; GPGHOME /var/lib/smartbeat/.gnupg

# key used for encryption
; GPG_ENCRYPTION_KEY smartbeat@sitter-net.de

# the url for getting the client real ip
; GET_IP_URL http://www.sitter-net.de/cgi-bin/whatismyip.pl

# the servers listen port default 5000
; PORT 5001

# smartbeat server hostname or ip address
; SERVER_ADDRESS sitter-net.de

# connection time out time. should be greater than servers ping time default is 100 seks
; TIMEOUT_TIME 100

# add disks you qant to monitor
# it is important that the identifier matches with the indentifier in the desired server db table
# ADD_MONITORED_DISK <identifier> <path to mountpoint>
# INFO: the identifier cannot contain whitespaces
; ADD_MONITORED_DISK demo /srv

# add custom mysql queries to different databases
# first you have to add a database with:
# ADD_DATABASE <dbName> <dbHost> <dbUser> <dbPass>
# then add queries with:
# ADD_MYSQL_QUERY <dbName> <queryIdentifier> "query"
# INFO: the query is quoted!
# NOTE: the query identifier cannot contain spaces!
; ADD_DATABASE smartbeat_test localhost sbtest pass
; ADD_MYSQL_QUERY sbtest "select * from test_tabel"

# coloumns and rows can have different separators
# here select teh coloumn and row separators (quoted)
; ROW_SEPARATOR "|"
; COLOUMN_SEPARATOR " "

# add various custom commands here
# ADD_CUSTOM_COMMAND <commandIdentifier> "cat /proc/cpuinfo"
# INFO: the command is quoted and the identifier cannot contain any whitespaces
; ADD_CUSTOM_COMMAND cpuinfo "cat /proc/cpuinfo"

# configure the command for lm_sensors
# SENSORS "<lm_sensors command>"
; SENSORS "/etc/init.d/lm_sensors status"

# add various sensors here which can be detected with lm_sensors
# ADD_SENSOR <sensorIdentifier> "sensor name"
# sensor name is the real lm_sensor listed name
# INFO: the identifier cannot contain whitespaces
; ADD_SENSOR cpuTemp"Core0 Temp"
