/***************************************************************************
 *   Copyright (C) 2006 by Dirk Hartmann                                   *
 *   dirk.hartmann@sitter-net.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DBACCESS_H
#define DBACCESS_H

#include <iostream>
#include <mysql/mysql.h>

class DBAccess{

	public:
		DBAccess();
		/*init connects to the database*/
		int init(const std::string &host, const std::string &user, const std::string &passwd, const std::string &db);
		
		/*closes the connection to the mysql database */
		void closeMysqlConnection();
		
		/* connectes to the specified db */
		int connectToDb();
		
		/* reconnects to the db */
		int reconnectToDb();

		/* function for custom queries */
		int query(const std::string &query, std::string &queryResult, const std::string &coloumnSeparator, const std::string &rowSeparator);
		
		/* returns 0 or 1 wather we are not conected to mysql or we are */
		inline int get_connection_status() const {return (connected);}

		/* reads an error message */
		inline std::string read_error_message() const {return err_msg;};

		
		~DBAccess(); //Destructor
	
	protected:
		int init(); // inits the connection
		static int instances;
		
		MYSQL dbconn, *connection;
		std::string dbhost, dbuser, dbpasswd, database;
		int connected;
		std::string err_msg;
};

#endif // dbaccess.h
