/***************************************************************************
 *   Copyright (C) 2006 by Dirk Hartmann   *
 *   dirk.hartmann@sitter-net.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GPGACCESS_H
#define GPGACCESS_H

#include <iostream>

class GPGAccess
{
	public:
		GPGAccess();
		GPGAccess(const std::string &gpg_command, const std::string &gpg_homedir, const std::string &gpg_key);
		
		std::string encode_message(const std::string &msg) const;
		
		void init(const std::string &gpg_command, const std::string &gpg_homedir, const std::string &gpg_key);
		
		~GPGAccess();
	
	private:
		std::string gpg_homedir, gpg_command, gpg_key;

		/* init gpg */
		void init();

		/* checks the homedir vor trailing "/" */
		void check_homedir();
};


#endif
